源中的libcairo2 1.4.10-lubuntu4.1(大小:511k)有问题,导致依赖软件访问网络问题

重复贴和参考价值不大的帖子,版主维护
头像
PL7s
帖子: 377
注册时间: 2007-03-15 23:44
送出感谢: 0
接收感谢: 1 次

源中的libcairo2 1.4.10-lubuntu4.1(大小:511k)有问题,导致依赖软件访问网络问题

#1

帖子 PL7s » 2007-12-04 14:02

官方源中的libcairo2 1.4.10-lubuntu4.1(大小:511k)有问题 ,升级安装后依赖它的软件访问访问网络有问题,典型的就是firefox与pidgin,症状是绝大部分网络无法访问,程序在遇到无法访问时自动退出。firefox竟然打不开google与百度,唯一尝试成功访问的是网易。pidgin连这里的IRC都上不了。
我在新利得中强制装回原来的版本,一切恢复正常。源版本为安装光盘中的libcairo2 1.4.10-lubuntu4,标识为(gutsy),而那个libcairo2 1.4.10-lubuntu4.1标识为(gutsy security) 这个版本有问题。
其部分升级的朋友注意。请版主核实情况,如属实望通告。

黑暗时期过去了,ibcairo2 1.4.10-lubuntu4.3一切正常。
上次由 PL7s 在 2007-12-13 1:29,总共编辑 1 次。
For the love of PL7s
图片
图片
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#2

帖子 BigSnake.NET » 2007-12-04 19:40

暂时设为公告, 请大家升级时注意

强制降级可以用 新立得 强制版本功能
[/code]
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
paopaozj
帖子: 823
注册时间: 2007-10-28 23:35
送出感谢: 0
接收感谢: 0

#3

帖子 paopaozj » 2007-12-04 22:00

不知道什么东东 没用过
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#4

帖子 zhuqin_83 » 2007-12-05 2:14

我这里没有问题
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
dertee
帖子: 1
注册时间: 2007-12-05 6:48
送出感谢: 0
接收感谢: 0

#5

帖子 dertee » 2007-12-05 6:51

求助阿,我在新立得里点上软件包,窗口就自动关闭

update:
后来在终端里

代码: 全选

 sudo apt-get install libcairo2=1.4.10-1ubuntu4
解决了:)
头像
alee
帖子: 76
注册时间: 2007-09-05 2:18
送出感谢: 0
接收感谢: 0

#6

帖子 alee » 2007-12-05 11:43

多谢, 昨天晚上 升级了几个 软件包之后,今天就出了问题,不光 pidgin 用不了,整个桌面 都无法正常使用,很多 窗口程序 都会出现 float point exception 这样的错误, 尝试了一上午 都无法解决, 刚好看到这里, 试了一下,果然就是 这个 软件包 !!

可是楼上 有的人说 没遇到问题, 我想 大概是这个 软件包 在有些 cpu 上 会出现 浮点溢出 的 bug 所致(我的是 AMD turion 64)。
头像
alee
帖子: 76
注册时间: 2007-09-05 2:18
送出感谢: 0
接收感谢: 0

#7

帖子 alee » 2007-12-05 11:46

盲目升级 反而 适得其反 ,这已经是 第二次了。

顺便问一下,的别需要 低版本的 软件包, 怎么设置成 不要在 “更新管理器” 提示 ?
头像
夜泊枫桥
帖子: 333
注册时间: 2007-04-03 22:18
送出感谢: 0
接收感谢: 0

#8

帖子 夜泊枫桥 » 2007-12-05 18:31

:shock: 我更新了 不过没问题
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#9

帖子 BigSnake.NET » 2007-12-05 18:57

alee 写了:盲目升级 反而 适得其反 ,这已经是 第二次了。

顺便问一下,的别需要 低版本的 软件包, 怎么设置成 不要在 “更新管理器” 提示 ?
使用新立得的锁定版本功能
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
yzoucn
帖子: 6
注册时间: 2005-11-13 14:15
送出感谢: 0
接收感谢: 0

#10

帖子 yzoucn » 2007-12-05 19:53

我的机器是amd a64的cpu,今天升级了这个库,然后出现以下症状,firefox不能点击关于菜单,点击以后自动关闭,控制台中出现float point exception提示,firefox切换标签也要自动退出,很多软件都不能点“关于”,点击就自动关闭了。是不是只有amd的cpu才有这个问题啊?
kinwin
帖子: 225
注册时间: 2007-08-28 13:19
来自: USTC
送出感谢: 0
接收感谢: 0

#11

帖子 kinwin » 2007-12-05 20:55

我这里大小852k,下载524k.
很好啊,没问题。用官方源升级的
头像
alee
帖子: 76
注册时间: 2007-09-05 2:18
送出感谢: 0
接收感谢: 0

#12

帖子 alee » 2007-12-05 22:28

BigSnake.NET 写了:
alee 写了:盲目升级 反而 适得其反 ,这已经是 第二次了。

顺便问一下,的别需要 低版本的 软件包, 怎么设置成 不要在 “更新管理器” 提示 ?
使用新立得的锁定版本功能
谢谢!!
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#13

帖子 zhuqin_83 » 2007-12-05 23:03

感觉是不是就只有amd64才有问题阿?bs一下lz,连什么版本的系统都不说。
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#14

帖子 eexpress » 2007-12-05 23:59

是特定情况的bug。骨头今天都发了帖子的。我这里也正常的。
● 鸣学
Athlon64
帖子: 72
注册时间: 2006-04-13 13:43
送出感谢: 0
接收感谢: 1 次

#15

帖子 Athlon64 » 2007-12-06 1:54

感谢楼主,系统终于恢复正常了 :lol:
另外想请教楼主,你是怎么发现这个问题的?
回复

回到 “归档贴”